<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="TGCrudService"
	targetNamespace="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService"
	xmlns:tns="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tgm="http://textgrid.info/namespaces/metadata/core/2010"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
	xsi:schemaLocation="http://textgrid.info/namespaces/metadata/core/2010 http://www.textgrid.info/schemas/textgrid-metadata.xsd">
	<wsdl:documentation>TODO</wsdl:documentation>
	<wsdl:types>
		<xsd:schema elementFormDefault="qualified"
			targetNamespace="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService">
			<xsd:import namespace="http://textgrid.info/namespaces/metadata/core/2010"
				schemaLocation="http://www.textgrid.info/schemas/textgrid-metadata_2010.xsd" />
			<xsd:element name="getVersion" type="tns:GetVersionType" />
			<xsd:element name="getVersionResponse" type="tns:GetVersionResponseType" />
			<xsd:element name="create" type="tns:CreateType" />
			<xsd:element name="createResponse" type="tns:CreateResponseType" />
			<xsd:element name="createMetadata" type="tns:CreateMetadataType" />
			<xsd:element name="createMetadataResponse" type="tns:CreateMetadataResponseType" />
			<xsd:element name="read" type="tns:ReadType" />
			<xsd:element name="readResponse" type="tns:ReadResponseType" />
			<xsd:element name="readMetadata" type="tns:ReadMetadataType" />
			<xsd:element name="readMetadataResponse" type="tns:ReadMetadataResponseType" />
			<xsd:element name="update" type="tns:UpdateType" />
			<xsd:element name="updateResponse" type="tns:UpdateResponseType" />
			<xsd:element name="updateMetadata" type="tns:UpdateMetadataType" />
			<xsd:element name="updateMetadataResponse" type="tns:UpdateMetadataResponseType" />
			<xsd:element name="delete" type="tns:DeleteType" />
			<xsd:element name="deleteResponse" type="tns:DeleteResponseType" />
			<xsd:element name="getUri" type="tns:GetUriType" />
			<xsd:element name="getUriResponse" type="tns:GetUriResponseType" />
			<xsd:element name="movePublic" type="tns:movePublicType" />
			<xsd:element name="movePublicResponse" type="tns:movePublicResponseType" />
			<xsd:element name="authFault" type="tns:TextGridFaultType" />
			<xsd:element name="ioFault" type="tns:TextGridFaultType" />
			<xsd:element name="objectNotFoundFault" type="tns:TextGridFaultType" />
			<xsd:element name="metadataParseFault" type="tns:TextGridFaultType" />
			<xsd:element name="relationsExistFault" type="tns:TextGridFaultType" />
			<xsd:element name="updateConflictFault" type="tns:TextGridFaultType" />
			<xsd:element name="protocolNotImplementedFault" type="tns:TextGridFaultType" />
			<xsd:complexType name="GetVersionType" />
			<xsd:complexType name="GetVersionResponseType">
				<xsd:sequence>
					<xsd:element name="tgCrudVersion" type="xsd:string" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CreateType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" minOccurs="0"
						maxOccurs="1" />
					<xsd:element name="createRevision" type="xsd:boolean"
						minOccurs="0" maxOccurs="1" />
					<xsd:element name="projectId" type="xsd:string" />
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
					<xsd:element name="tgObjectData" type="xsd:base64Binary"
						xmime:expectedContentTypes="application/octet-stream" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CreateResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CreateMetadataType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" minOccurs="0"
						maxOccurs="1" />
					<xsd:element name="projectId" type="xsd:string" />
					<xsd:element name="externalReference" type="xsd:anyURI" />
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CreateMetadataResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ReadType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ReadResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
					<xsd:element name="tgObjectData" type="xsd:base64Binary"
						xmime:expectedContentTypes="application/octet-stream" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ReadMetadataType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ReadMetadataResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="UpdateType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
					<xsd:element name="tgObjectData" type="xsd:base64Binary"
						xmime:expectedContentTypes="application/octet-stream" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="UpdateResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="UpdateMetadataType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="UpdateMetadataResponseType">
				<xsd:sequence>
					<xsd:element name="tgObjectMetadata" type="tgm:metadataContainerType" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="DeleteType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="DeleteResponseType" />
			<xsd:complexType name="GetUriType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="projectId" type="xsd:string" />
					<xsd:element name="howMany" type="xsd:int" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="GetUriResponseType">
				<xsd:sequence>
					<xsd:element name="uri" type="xsd:anyURI" maxOccurs="unbounded" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="movePublicType">
				<xsd:sequence>
					<xsd:element name="sessionId" type="xsd:string" />
					<xsd:element name="logParameter" type="xsd:string" />
					<xsd:element name="uri" type="xsd:anyURI" />
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="movePublicResponseType" />
			<xsd:complexType name="TextGridFaultType">
				<xsd:sequence>
					<xsd:element name="faultNo" type="xsd:int" />
					<xsd:element name="faultMessage" type="xsd:string" />
					<xsd:element name="cause" type="xsd:string" />
				</xsd:sequence>
			</xsd:complexType>
		</xsd:schema>
	</wsdl:types>
	<wsdl:message name="getVersionRequest">
		<wsdl:part name="getVersionRequest" element="tns:getVersion" />
	</wsdl:message>
	<wsdl:message name="getVersionResponse">
		<wsdl:part name="getVersionResponse" element="tns:getVersionResponse" />
	</wsdl:message>
	<wsdl:message name="createRequest">
		<wsdl:part name="createRequest" element="tns:create" />
	</wsdl:message>
	<wsdl:message name="createResponse">
		<wsdl:part name="createResponse" element="tns:createResponse" />
	</wsdl:message>
	<wsdl:message name="createMetadataRequest">
		<wsdl:part name="createMetadataRequest" element="tns:createMetadata" />
	</wsdl:message>
	<wsdl:message name="createMetadataResponse">
		<wsdl:part name="createMetadataResponse" element="tns:createMetadataResponse" />
	</wsdl:message>
	<wsdl:message name="readRequest">
		<wsdl:part name="readRequest" element="tns:read" />
	</wsdl:message>
	<wsdl:message name="readResponse">
		<wsdl:part name="readResponse" element="tns:readResponse" />
	</wsdl:message>
	<wsdl:message name="readMetadataRequest">
		<wsdl:part name="readMetadataRequest" element="tns:readMetadata" />
	</wsdl:message>
	<wsdl:message name="readMetadataResponse">
		<wsdl:part name="readMetadataResponse" element="tns:readMetadataResponse" />
	</wsdl:message>
	<wsdl:message name="updateRequest">
		<wsdl:part name="updateRequest" element="tns:update" />
	</wsdl:message>
	<wsdl:message name="updateResponse">
		<wsdl:part name="updateResponse" element="tns:updateResponse" />
	</wsdl:message>
	<wsdl:message name="updateMetadataRequest">
		<wsdl:part name="updateMetadataRequest" element="tns:updateMetadata" />
	</wsdl:message>
	<wsdl:message name="updateMetadataResponse">
		<wsdl:part name="updateMetadataResponse" element="tns:updateMetadataResponse" />
	</wsdl:message>
	<wsdl:message name="deleteRequest">
		<wsdl:part name="deleteRequest" element="tns:delete" />
	</wsdl:message>
	<wsdl:message name="deleteResponse">
		<wsdl:part name="deleteResponse" element="tns:deleteResponse" />
	</wsdl:message>
	<wsdl:message name="getUriRequest">
		<wsdl:part name="getUriRequest" element="tns:getUri" />
	</wsdl:message>
	<wsdl:message name="getUriResponse">
		<wsdl:part name="getUriResponse" element="tns:getUriResponse" />
	</wsdl:message>
	<wsdl:message name="movePublicRequest">
		<wsdl:part name="movePublicRequest" element="tns:movePublic" />
	</wsdl:message>
	<wsdl:message name="movePublicResponse">
		<wsdl:part name="movePublicResponse" element="tns:movePublicResponse" />
	</wsdl:message>
	<wsdl:message name="authFault">
		<wsdl:part name="authFault" element="tns:authFault" />
	</wsdl:message>
	<wsdl:message name="ioFault">
		<wsdl:part name="ioFault" element="tns:ioFault" />
	</wsdl:message>
	<wsdl:message name="metadataParseFault">
		<wsdl:part name="metadataParseFault" element="tns:metadataParseFault" />
	</wsdl:message>
	<wsdl:message name="objectNotFoundFault">
		<wsdl:part name="objectNotFoundFault" element="tns:objectNotFoundFault" />
	</wsdl:message>
	<wsdl:message name="relationsExistFault">
		<wsdl:part name="relationsExistFault" element="tns:relationsExistFault" />
	</wsdl:message>
	<wsdl:message name="updateConflictFault">
		<wsdl:part name="updateConflictFault" element="tns:updateConflictFault" />
	</wsdl:message>
	<wsdl:message name="protocolNotImplementedFault">
		<wsdl:part name="protocolNotImplementedFault" element="tns:protocolNotImplementedFault" />
	</wsdl:message>
	<wsdl:portType name="TGCrudService">
		<wsdl:operation name="getVersion">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:getVersionRequest" name="getVersionRequest" />
			<wsdl:output message="tns:getVersionResponse" name="getVersionResponse" />
		</wsdl:operation>
		<wsdl:operation name="getUri">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:getUriRequest" name="getUriRequest" />
			<wsdl:output message="tns:getUriResponse" name="getUriResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
		</wsdl:operation>
		<wsdl:operation name="create">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input name="createRequest" message="tns:createRequest" />
			<wsdl:output name="createResponse" message="tns:createResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFound" />
		</wsdl:operation>
		<wsdl:operation name="createMetadata">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input name="createMetadataRequest" message="tns:createMetadataRequest" />
			<wsdl:output name="createMetadataResponse" message="tns:createMetadataResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFound" />
		</wsdl:operation>
		<wsdl:operation name="movePublic">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:movePublicRequest" name="movePublicRequest" />
			<wsdl:output message="tns:movePublicResponse" name="movePublicResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
		</wsdl:operation>
		<wsdl:operation name="read">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:readRequest" name="readRequest" />
			<wsdl:output message="tns:readResponse" name="readResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
			<wsdl:fault message="tns:protocolNotImplementedFault"
				name="protocolNotImplementedFault" />
		</wsdl:operation>
		<wsdl:operation name="readMetadata">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:readMetadataRequest" name="readMetadataRequest" />
			<wsdl:output message="tns:readMetadataResponse" name="readMetadataResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
		</wsdl:operation>
		<wsdl:operation name="update">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:updateRequest" name="updateRequest" />
			<wsdl:output message="tns:updateResponse" name="updateResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
			<wsdl:fault message="tns:updateConflictFault" name="updateConflictFault" />
		</wsdl:operation>
		<wsdl:operation name="updateMetadata">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:updateMetadataRequest" name="updateMetadataRequest" />
			<wsdl:output message="tns:updateMetadataResponse" name="updateMetadataResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:metadataParseFault" name="metadataParseFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
			<wsdl:fault message="tns:updateConflictFault" name="updateConflictFault" />
		</wsdl:operation>
		<wsdl:operation name="delete">
			<wsdl:documentation>TODO</wsdl:documentation>
			<wsdl:input message="tns:deleteRequest" name="deleteRequest" />
			<wsdl:output message="tns:deleteResponse" name="deleteResponse" />
			<wsdl:fault message="tns:authFault" name="authFault" />
			<wsdl:fault message="tns:ioFault" name="ioFault" />
			<wsdl:fault message="tns:objectNotFoundFault" name="objectNotFoundFault" />
			<wsdl:fault message="tns:relationsExistFault" name="relationsExistFault" />
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="TGCrudServiceSOAP" type="tns:TGCrudService">
		<soap:binding style="document"
			transport="http://schemas.xmlsoap.org/soap/http" />
		<wsdl:operation name="create">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/create" />
			<wsdl:input name="createRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="createResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFound">
				<soap:fault use="literal" name="objectNotFound" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="update">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/update" />
			<wsdl:input name="updateRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="updateResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
			<wsdl:fault name="updateConflictFault">
				<soap:fault use="literal" name="updateConflictFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="read">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/read" />
			<wsdl:input name="readRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="readResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
			<wsdl:fault name="protocolNotImplementedFault">
				<soap:fault use="literal" name="protocolNotImplementedFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="delete">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/delete" />
			<wsdl:input name="deleteRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="deleteResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
			<wsdl:fault name="relationsExistFault">
				<soap:fault use="literal" name="relationsExistFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="readMetadata">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/readMetadata" />
			<wsdl:input name="readMetadataRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="readMetadataResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="updateMetadata">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/updateMetadata" />
			<wsdl:input name="updateMetadataRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="updateMetadataResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
			<wsdl:fault name="updateConflictFault">
				<soap:fault use="literal" name="updateConflictFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="getVersion">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/getVersion" />
			<wsdl:input name="getVersionRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="getVersionResponse">
				<soap:body use="literal" />
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getUri">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/getUri" />
			<wsdl:input name="getUriRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="getUriResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="createMetadata">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/createMetadata" />
			<wsdl:input name="createMetadataRequest">
				<soap:body use="literal"></soap:body>
			</wsdl:input>
			<wsdl:output name="createMetadataResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="metadataParseFault">
				<soap:fault use="literal" name="metadataParseFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFound">
				<soap:fault use="literal" name="objectNotFound" />
			</wsdl:fault>
		</wsdl:operation>
		<wsdl:operation name="movePublic">
			<soap:operation
				soapAction="http://textgrid.info/namespaces/middleware/tgcrud/services/TGCrudService/movePublic" />
			<wsdl:input name="movePublicRequest">
				<soap:body use="literal" />
			</wsdl:input>
			<wsdl:output name="movePublicResponse">
				<soap:body use="literal" />
			</wsdl:output>
			<wsdl:fault name="authFault">
				<soap:fault use="literal" name="authFault" />
			</wsdl:fault>
			<wsdl:fault name="ioFault">
				<soap:fault use="literal" name="ioFault" />
			</wsdl:fault>
			<wsdl:fault name="objectNotFoundFault">
				<soap:fault use="literal" name="objectNotFoundFault" />
			</wsdl:fault>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="TGCrudService">
		<wsdl:port name="TGCrudPort" binding="tns:TGCrudServiceSOAP">
			<soap:address location="http://localhost:8080/tgcrud/TGCrudService" />
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
